-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-- Written by Kimberly L. Tripp, SQLskills.com
-- All Rights Reserved.
-- 
-- For more scripts, sample code and additional training resources,
-- go to http://www.SQLskills.com
--	Immerse yourself in SQL Server
--
-- Disclaimer - Thoroughly test this script, execute at your own risk.
-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

UPDATE Member
SET LastName = 'Tripp'
WHERE Member_No = 6798;
go

UPDATE Member
SET FirstName = 'Kimberly'
WHERE Member_No = 2896;
go

UPDATE Member
SET FirstName = 'Kimberly',
	LastName = 'Tripp'
WHERE Member_No = 842;
go

SELECT LastName, FirstName, Region_No
FROM Member
WHERE FirstName = 'Kimberly'
OR LastName = 'Tripp';
go

SELECT LastName, FirstName, Region_No
FROM Member
WHERE FirstName LIKE 'Kimberly';
go

SELECT LastName, FirstName, Region_No
FROM Member
WHERE LastName LIKE 'Tripp';
go

SELECT LastName, FirstName, Region_No
FROM Member
WHERE FirstName LIKE 'Kimberly'
	OR LastName LIKE 'Tripp';
go

SELECT LastName, FirstName, Region_No
FROM Member
WHERE FirstName LIKE 'Kimberly'
UNION
SELECT LastName, FirstName, Region_No
FROM Member
WHERE LastName LIKE 'Tripp';
go

SELECT FirstName, Member_No
FROM Member
WHERE FirstName > ''
ORDER BY FirstName;
go

SELECT Member_No, FirstName, Region_No
FROM Member
WHERE FirstName LIKE 'K%' 
	AND Region_No > 3 AND Member_No < 5000;
go

SELECT Member_No, FirstName, Region_No
FROM Member
WHERE FirstName LIKE 'K%' 
	AND Region_No > 6 
	AND Member_No < 5000;
go

SELECT LastName, FirstName, Region_No
FROM Member
WHERE FirstName = 'Kimberly'
OR LastName = 'Tripp';
go

SELECT LastName, FirstName, Region_No
FROM Member
WHERE FirstName LIKE 'Kim%';
go

SELECT c.* 
FROM provider p
	INNER JOIN charge c ON c.provider_no = p.provider_no
WHERE p.provider_no = 497;
go

SELECT c.statement_no
		, s.statement_dt
		, c.charge_amt
		, p.provider_name
		, m.lastname
	FROM dbo.Charge AS c
		INNER JOIN dbo.provider AS p 
			ON p.provider_no = c.provider_no
		INNER JOIN dbo.member AS m 
			ON c.member_no = m.member_no
		INNER JOIN dbo.statement AS s 
			ON c.statement_no = s.statement_no
		INNER JOIN dbo.region AS r 
			ON r.region_no = m.region_no
WHERE r.region_name = 'Japan'
	AND c.charge_amt > 2500;
go

SELECT m.Member_No, m.FirstName, m.Region_No
FROM dbo.Member AS m
WHERE m.FirstName LIKE 'K%'		-- guess 1/26 of table
        AND m.Region_No > 6		-- guess 1/3 of table
        AND m.Member_No < 5000;	-- guess 1/2 of the table
go

SELECT member_no, sum(charge_amt)
FROM charge
GROUP by member_no
ORDER by member_no;
go

SELECT lastname, firstname, middleinitial, phone_no
FROM member2
WHERE firstname LIKE 'Kim%';
go

SELECT m.firstname + ' ' + m.lastname AS Name, c.charge_no
FROM member AS m
	LEFT OUTER JOIN charge AS c
		ON m.member_no = c.member_no;
go

SELECT lastname, firstname, 
	middleinitial, phone_no
FROM member 
WHERE lastname LIKE '[S-Z]%'
go

SELECT lastname, firstname, 
	middleinitial, phone_no
FROM member 
WHERE lastname LIKE '[S-Z]%'
ORDER BY lastname, firstname, middleinitial
go
